Bug 1006485 - linphonecsh doesn't work: ERROR: Failed to connect pipe: No such file or directory
linphonecsh doesn't work: ERROR: Failed to connect pipe: No such file or dire...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 13:12 EDT by Michael S. Tsirkin
Modified: 2015-01-11 07:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-11 07:56:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f on linphonecsh init call (512.86 KB, text/plain)
2015-01-11 07:02 EST, Michael S. Tsirkin
no flags Details

  None (edit)
Description Michael S. Tsirkin 2013-09-10 13:12:07 EDT
Description of problem:
linphonec is supposed to support a daemon mode,
getting commands from linphonecsh and linphone.
This doesn't seem to work.

Version-Release number of selected component (if applicable):
linphone-3.6.1-2.fc19.i686

How reproducible:
always

Steps to Reproduce:
1. linphonecsh init
2.$ linphonecsh status hook


3.

Actual results:
ERROR: Failed to connect pipe: No such file or directory

Expected results:
should report status, allow calls etc

Additional info:
steps from here:
http://www.linphone.org/eng/documentation/guide/linphonecsh-control.html
Comment 1 nucleo 2013-09-10 13:21:40 EDT
$ rpm -q linphone
linphone-3.6.1-2.fc19.i686
$ linphonecsh init
$ ps -e
  PID TTY          TIME CMD
 4583 ?        00:00:00 linphonec
$ linphonecsh status hook
hook=offhook

Don't know why you getting connect to pipe error.
Comment 2 Fedora End Of Life 2015-01-09 14:47:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michael S. Tsirkin 2015-01-11 07:02:40 EST
Created attachment 978741 [details]
strace -f on linphonecsh init call
Comment 4 Michael S. Tsirkin 2015-01-11 07:05:17 EST
the problem is still there in Fedora 21

for me, linphonec does not stay running after
linphonecsh init call, and if I run linphonec
manually, linphonecsh does not seem to be able
to connect to it.

I attached strace output for command:

strace -o /tmp/log.txt -f linphonecsh init
Comment 5 Michael S. Tsirkin 2015-01-11 07:33:32 EST
ok I see what the problem is.

for me linphonec is a wrapper shell script I wrote.

running that using execve fails.

I think linphonecsh should either avoid using
PTH for binary lookup, or - if it trusts the path -
use a call like "system" does, e.g.
          execl("/bin/sh", "sh". "-c", command, (char *) 0);

Note You need to log in before you can comment on or make changes to this bug.